> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get retention costs for all collections in an app
GET /api/apps/:app_id/retention/cost



## OpenAPI

````yaml /openapi.yaml get /api/apps/{app_id}/retention/cost
openapi: 3.1.0
info:
  title: OnDB API
  description: Monetize anything
  license:
    name: ''
  version: 4.0.0
servers: []
security: []
tags:
  - name: Health
    description: Health check and system status
  - name: Applications
    description: Application management
  - name: Billing
    description: Billing information and usage
  - name: Pricing
    description: Pricing information and quotes
  - name: X402 Payment Protocol
    description: Payment verification and settlement
  - name: Data Storage
    description: Store data to Celestia blockchain
  - name: Data Query
    description: Query and retrieve data
  - name: Collections
    description: Collection management
  - name: Indexes
    description: Index management and relations
  - name: Retention
    description: Data retention policies
  - name: Materialized Views
    description: Materialized view management
  - name: Predefined Queries
    description: Create and execute predefined queries
  - name: View Query
    description: Query materialized view data
  - name: Wallet
    description: App wallet management
  - name: Tasks
    description: Task tracking and status
  - name: Transactions
    description: Transaction status
  - name: Authorization
    description: Authorization grant management
  - name: API Keys
    description: API key management
  - name: Encryption
    description: Encryption settings and configuration
  - name: Payout
    description: Payout settings and history
  - name: API Collections
    description: API collection management
paths:
  /api/apps/{app_id}/retention/cost:
    get:
      tags:
        - Retention
      summary: |-
        Get retention costs for all collections in an app
        GET /api/apps/:app_id/retention/cost
      operationId: get_retention_cost
      parameters:
        - name: app_id
          in: path
          description: Application ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Retention costs for all collections
          content:
            application/json:
              schema: {}
        '401':
          description: Unauthorized
        '404':
          description: Application not found
        '503':
          description: Indexing system not available
      security:
        - api_key: []
components: {}

````